# POS Terminals

Get POS terminal records for a company.

Returns a paginated list of POS (Point of Sale) terminals registered to the specified company.

## Endpoint

```text
GET /api/v1/companies/:company_id/pos_terminals
```

## Parameters

| Parameter | Type | In | Description |
| --- | --- | --- | --- |
| `company_id` | `integer` | path | The unique identifier of the company. |
| `page` | `integer` | body | Page number (default: 1). |
| `limit` | `integer` | body | Records per page (default: 100). |

## Code Examples

**Get POS terminals**

**Python**

```python
import requests

url = 'https://statsnet.co/api/v1/companies/12345/pos_terminals'
headers = {
  'Authorization': 'Bearer sk_live_YOUR_KEY',
  'Content-Type': 'application/json'
}

response = requests.get(url, headers=headers).json()
print(response)
```

**TypeScript**

```typescript
const url = 'https://statsnet.co/api/v1/companies/12345/pos_terminals';

const response = await fetch(url, {
headers: {
  'Authorization': 'Bearer sk_live_YOUR_KEY',
  'Content-Type': 'application/json',
},
});

const data = await response.json();
console.log(data);
```

**Go**

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {
	url := "https://statsnet.co/api/v1/companies/12345/pos_terminals"

	req, _ := http.NewRequest("GET", url, nil)
	req.Header.Set("Authorization", "Bearer sk_live_YOUR_KEY")
	req.Header.Set("Content-Type", "application/json")

	client := &http.Client{}
	resp, _ := client.Do(req)
	defer resp.Body.Close()

	body, _ := io.ReadAll(resp.Body)
	fmt.Println(string(body))
}
```

## Response

**Success response**

```json
{
  "pos_terminals": [
    {
      "id": 1,
      "identifier": "400500600",
      "jurisdiction": "kz",
      "name": "Example Company LLP",
      "source": "kaspi",
      "address": "Almaty, Abay Avenue 52",
      "start_date": "2023-05-10T00:00:00Z",
      "end_date": null,
      "created_at": "2024-01-14T00:06:22Z",
      "updated_at": "2024-01-15T13:24:54Z"
    }
  ],
  "total": 1,
  "pagination_total": 1,
  "pagination_offset": 0
}
```

## Error Handling

**Error response (403)**

```json
{
  "status": 403,
  "message": "access denied"
}
```

**Payment required (402)**

```json
{
  "status": 402,
  "message": "payment required"
}
```

**Quota exhausted (429)**

```json
{
  "status": 429,
  "message": "quota exhausted"
}
```
